integer function loca(i,j)
! Locul lui A(i,j) - Triunghiul inferior - in a(n*(n+1)/2):

loca =i*(i-1)/2 +j
end function loca

subroutine iloc(n, k, i, j)
! A(i,j) stocat in a(k); k =1, n*(n+1)/2.
! Inversa lui 'loca':
!common n

! Determina loca(i,j) =k:
i_do: do i =1,n
if(k <i*(i-1)/2) cycle i_do

	do j =1,i
	if(loca(i,j) ==k) exit i_do
	enddo
enddo i_do

end subroutine iloc


